Integration Error: ERROR (4222) Bad request. The LMS user field is required.

Updated May 20, 2020

This error occurs when:

  • an LTI link is selected in a "student view" or "instructor view."
  • an LTI link was selected in an LMS development course shell that does not have an instructor associated with it.

1. Check that you are not in a preview mode in your LMS.

2. Check that the course is associated with the instructor in the LMS.

If you are trying to view the course as a student, you will need to create a "test student" in your LMS. If the issue is not resolved contact your regional account manager.

Previous Article Integration Error: ERROR (4006) The given course hook is already associated to another course.
Next Article Master Course Creation